﻿namespace UltraTabControlImagesInTab
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;

    public partial class Form1 : Form
    {
        const string AdditionalTabText = "     .";
        private int tabs = 10;


        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var firstImage = Image.FromFile(@"../../GreenDot.png");
            var secondImage = Image.FromFile(@"../../RedDot.png");
            for(int tab = 0; tab < this.tabs; tab++)
            {
                var tabText = string.Format("Tab {0}", tab + 1);
                var currentTab = this.ultraTabControl1.Tabs.Add(tabText, tabText);
                currentTab.Appearance.Image = firstImage;
                currentTab.Appearance.ImageHAlign = Infragistics.Win.HAlign.Left;
                currentTab.Appearance.ImageVAlign = Infragistics.Win.VAlign.Middle;

                //  Add some text at the end of tab's text so you can reserve space for the second image
                currentTab.Text += AdditionalTabText;
            }

            this.ultraTabControl1.CreationFilter = new CF(secondImage);
        }
    }
}
